"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var slate_kit_highlight_text_renderer_1 = tslib_1.__importDefault(require("@vericus/slate-kit-highlight-text-renderer"));
var options_1 = tslib_1.__importDefault(require("./options"));
var changes_1 = tslib_1.__importDefault(require("./changes"));
var utils_1 = tslib_1.__importDefault(require("./utils"));
function createPlugin(pluginOptions) {
    var options = options_1.default.create(pluginOptions);
    var changes = changes_1.default(options);
    var utils = utils_1.default(options);
    var plugin = {
        options: options,
        changes: changes,
        utils: utils
    };
    if (!options.externalRenderer) {
        var renderMark = slate_kit_highlight_text_renderer_1.default(options).renderMark;
        plugin.renderMark = renderMark;
    }
    return plugin;
}
exports.default = createPlugin;
//# sourceMappingURL=index.js.map